<?php
header('Content-type: application/json');
require 'assets/vendor/phpspreadsheet/vendor/autoload.php';
$date = date('YmdHs');

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\IOFactory;

if ( 0 < $_FILES['file']['error'] ) {

    $results = array(
       'success'=> false,
       'msg_success'=> 'Error al iniciar proceso.'
    );

} else {


    $fileNoExt = preg_replace("/\.[^.]+$/", "", $_FILES['file']['name']);
    $fileName = preg_replace("/[^a-zA-Z0-9]+/", "", $fileNoExt );
	$inputFileName = $fileName.'_'.$date;
    move_uploaded_file( $_FILES['file']['tmp_name'], 'uploads/'. $inputFileName );



    $spreadsheet = \PhpOffice\PhpSpreadsheet\IOFactory::load('uploads/' . $inputFileName);
    $sheetCount = $spreadsheet->getSheetCount();
    $sheetNames = $spreadsheet->getSheetNames();

    $iHojas = 0;

    foreach ($sheetNames as $sheetIndex => $sheetName) {


  	$totalRows = $spreadsheet->getActiveSheet()->getHighestDataRow();
  	$totalCols = $spreadsheet->getActiveSheet()->getHighestColumn();



    $writer = IOFactory::createWriter($spreadsheet, 'Csv')->setDelimiter(';')
      ->setEnclosure('"')
      ->setSheetIndex($sheetIndex);



      // inicio

      $worksheet = $spreadsheet->getActiveSheet();
      // Get the highest row and column numbers referenced in the worksheet
      $highestRow = $worksheet->getHighestRow(); // e.g. 10
      $highestColumn = $worksheet->getHighestColumn(); // e.g 'F'
      $highestColumnIndex = \PhpOffice\PhpSpreadsheet\Cell\Coordinate::columnIndexFromString($highestColumn); // e.g. 5


      $cell1 = [];
      for ($col = 1; $col <= $highestColumnIndex; ++$col) {
          $value = $worksheet->getCellByColumnAndRow($col, 1)->getValue();
          array_push($cell1,$value);
      }

      $cell2 = [];
      for ($col = 1; $col <= $highestColumnIndex; ++$col) {
          $value = $worksheet->getCellByColumnAndRow($col, 2)->getValue();
          array_push($cell2,$value);
      }

      $cell3 = [];
      for ($col = 1; $col <= $highestColumnIndex; ++$col) {
          $value = $worksheet->getCellByColumnAndRow($col, 3)->getValue();
          array_push($cell3,$value);
      }

      // final

      $cell4 = [
      'Tipo Doc',
      'Documento',
      'Apellido',     
      'Nombre',
      'Genero',
      'Organizacion',
      'Agrupacion',  
      'Trabajo',
      'Provincia CTA',
      'Municipio/Departamento CTA',
      'Mesa de votacion',
      'Cod Mesa'
    ];

    $savedFileName = $fileName.'_'.$date.'_'.$sheetName.$iHojas;
    $writer->save('uploads/'.$savedFileName.'.csv');

    $iHojas++;

    }

    unlink('uploads/'.$inputFileName);


    $results = array(
      'success'=> true,

      'msg_success'=> 'Inicio de proceso.',
      
      'msg_archivoUpload_nombre'=> $savedFileName,
      'msg_archivoUpload_cantRows' => $totalRows,
      'msg_archivoUpload_cantCols' => count($cell1),
      'msg_archivoUpload_cell1' => $cell1,
      'msg_archivoUpload_cell2' => $cell2,
      'msg_archivoUpload_cell3' => $cell3,
      'msg_archivoUpload_cell4' => $cell4,
      'msg_archivoUpload_cantHojas' => $iHojas

    );


}

    echo json_encode($results);
?>
