<?php
error_reporting(E_ALL ^ E_NOTICE);;
header('Content-type: application/json; charset=iso-8859-1');
require 'assets/vendor/phpspreadsheet/vendor/autoload.php';
$date = date('YmdHs');

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\IOFactory;

$date = date('YmdHs');
require_once('Encoding.php');
use \ForceUTF8\Encoding;

function utf8_fopen_read($fileName) {
  $fc = iconv('iso-8859-1', 'utf-8', file_get_contents($fileName));
  $handle=fopen("php://memory", "rw");
  fwrite($handle, $fc);
  fseek($handle, 0);
  return $handle;
}


if (isset($_GET['file'])) {
	$fileName = $_GET['file'];
	$file = htmlspecialchars($fileName);
}



//conn
$pdo        = new PDO('mysql:host=localhost;dbname=padron_preprod', 'padron', 'padronjuan1984ma');



// abre archivo del _GET:
$file_name = 'uploads/'.$file.'.csv';
$fileHandle = utf8_fopen_read($file_name, "r");

$fileApruebaDescargaPre = [];
$fileApruebaDescargaPreOk = [];
$fileRechazaDescargaPre = [];
$fileDuplicaDescargaPre = [];
$fileDuplicaDescargaPreOk = [];
// Agrego una opcion del archivo con todos los datos
$fileVerificaDescargaPre = [];
$fileVerificaDescargaPreOk = [];

//path y archivo de descarga de aprobado/rechazado:
$fileApruebaDescarga = 'uploads/aprobados/'.$file.'_out_apro_'.$date.'.csv';
$fileRechazaDescarga = 'uploads/rechazados/'.$file.'_out_rech_'.$date.'.csv';
$fileDuplicaDescarga = 'uploads/duplica/'.$file.'_out_rech_'.$date.'.csv';
// Agrego una opcion del archivo con todos los datos
$fileVerificaDescarga = 'uploads/verificados/'.$file.'_verifica_ver errores_'.$date.'.csv';

//abre archivo para escritura aprobado/rechazado
$archivoApruebaEscribe = fopen( dirname(__FILE__).'/'.$fileApruebaDescarga, "w");
$archivoRechazaEscribe = fopen( dirname(__FILE__).'/'.$fileRechazaDescarga, "w");
$archivoDuplicaEscribe = fopen( dirname(__FILE__).'/'.$fileDuplicaDescarga, "w");
// Agrego una opcion del archivo con todos los datos
$archivoVerificaEscribe = fopen( dirname(__FILE__).'/'.$fileVerificaDescarga, "w");

//handlerrors
$errorValida = false;
$errorDetalles = [];

//fila count handle
$filaNro = 1;
$recorridoVolante = null;
$recorridoMesa = 0;
$mesasErrorRecorrido = [];

$filasAprobadas = [];
$filasRechazadas = [];
$filasRevisaDups = [];

$countAprueba = 0;
$countRechaza = 0;
$countDuplica = 0;



//recorre file start
while (($row = fgetcsv($fileHandle, 0, ";")) !== FALSE) {



	// normaliza
	for ($iFor = 0; $iFor <= 11; $iFor++) {
    $row[$iFor] = Encoding::fixUTF8($row[$iFor]);
    $row[$iFor] = trim($row[$iFor]);

    $row[$iFor] = str_replace('º','',$row[$iFor]);
    $row[$iFor] = str_replace('°','',$row[$iFor]);
    $row[$iFor] = str_replace('Ã','',$row[$iFor]);
    $row[$iFor] = str_replace('á','a',$row[$iFor]);
    $row[$iFor] = str_replace('é','e',$row[$iFor]);
    $row[$iFor] = str_replace('í','i',$row[$iFor]);
    $row[$iFor] = str_replace('ó','o',$row[$iFor]);
    $row[$iFor] = str_replace('ú','u',$row[$iFor]);
    $row[$iFor] = str_replace('Á','A',$row[$iFor]);
    $row[$iFor] = str_replace('É','E',$row[$iFor]);
    $row[$iFor] = str_replace('Í','I',$row[$iFor]);
    $row[$iFor] = str_replace('Ó','O',$row[$iFor]);
    $row[$iFor] = str_replace('Ú','U',$row[$iFor]);
    $row[$iFor] = str_replace(' Nú ',' N ',$row[$iFor]);
    $row[$iFor] = str_replace(' Bú ',' Bvd ',$row[$iFor]);
    $row[$iFor] = preg_replace( "/[^a-zA-Z0-9 üÜáéíóúÁÉÍÓÚñÑ.\/\-\_]+/", "", $row[$iFor] );
    $row[$iFor] = Encoding::fixUTF8($row[$iFor]);
  }


	// fila 1
	$esFila1 = 0;
	$esFilaDato = 0;

	if ( strpos(strtolower(trim($row[0])), 'todos/as') !== false ) { $esFila1 = 1; }
  if ( strpos(strtolower(trim($row[0])), 'tipo doc') !== false ) { $esFila1 = 1; }

	if ( strpos(strtolower(trim($row[1])), 'todos/as') !== false )  { $esFila1 = 1; }
  if ( strpos(strtolower(trim($row[1])), 'documento') !== false )  { $esFila1 = 1; }

	if ( strpos(strtolower(trim($row[2])), 'nombre') !== false )     { $esFila1 = 1; }
  if ( strpos(strtolower(trim($row[2])), 'todos') !== false )     { $esFila1 = 1; }


  // -------------------------------------------------------------------------------

	if ($esFila1 == 1 ) {

	$linea_1 = $row[0].';'.$row[1].';'.$row[2].';'.$row[3].';'.$row[4].';'.$row[5].';'.$row[6].';'.$row[7].';'.$row[8].';'.$row[9].';'.$row[10].';'.$row[11]."\r\n";

  } else {
  //es filaDato



		$esFilaDato = 1;


    // -------------------------------------------------------------------------------
  	// validacion general filas
  	$errorValida = false;





      // -------------------------------------------------------------------------------
      // Validacion db ORGANIZACION

      $stmtOrg = $pdo->exec("set names utf8");
      $stmtOrg = $pdo->query(' SELECT nombre FROM organizaciones WHERE lower(nombre) =  "'.strtolower($row[5]).'" ');
      $cantOrg = 0;

      while ($rowOrgnum = $stmtOrg->fetch())
      {
        // ENCONTRO PROV MUN.
        $cantOrg = $cantOrg +1;
      }


      if ($cantOrg < 1 ) {
//
//        // rechazados : NO ENCONTRO PROVMUN. BUSCANDO POR LEVENSHETIN
//        $stmtLevOrg = $pdo->exec("set names utf8");
//        $stmtLevOrg = $pdo->query('SELECT nombre as orgnom, LEVENSHTEIN(lower(nombre), "'.strtolower($row[5]).'") AS distancia_org FROM organizaciones order by distancia_org limit 1');
//        $cantLevOrg = 0;
//
//          while ($rowOrgLevNum = $stmtLevOrg->fetch())
//          {
//            // ENCONTRO POR LEVENSHTEIN LA MAS CERCANA. SE AVISA EN ERROR Y SUGIERE PROXIMIDAD PALABRA.
//            $cantLevOrg = $cantLevOrg +1;
            $errorValida = true;
            array_push($errorDetalles,'Fila '.$filaNro.' : Organizacion no encontrada COL6: "'.$row[5].'"' );
//          }
//
       }




        if ( strlen(trim($row[8])) > 0 ) { $verifProvMun = true; }
    	  if ( strlen(trim($row[9])) > 0 ) { $verifProvMun = true; }

        if ( $verifProvMun = true ) {


            //provincia y municipio
            // campro provincia vacio o con id provincia inexistente : row 6 como nombre provincia
            // campo municipio vacio o con id municipio inexistente (municipio de provincia) : row 7 como nombre municipio
            // en caso de no encontrarse se sugiere por levenshtein el mas parecido.
            //inicio prov mun sin levenshtein
            $stmtProv = $pdo->exec("set names utf8");
            $stmtProv = $pdo->query('SELECT prov.id as provid, prov.nombre as provnom, mun.id as munid, mun.nombre as munnom FROM provincias prov join municipios mun on prov.id = mun.id_provincia where lower(prov.nombre) like "'.strtolower($row[8]).'" and lower(mun.nombre) like "'.strtolower($row[9]).'" ');
            $cantProvMun = 0;
            while ($rowprovmun = $stmtProv->fetch())
            {
              // ENCONTRO PROV MUN.
              $cantProvMun = $cantProvMun +1;
            }

            if ($cantProvMun < 1 ) {
                // rechazados : NO ENCONTRO PROVMUN. BUSCANDO POR LEVENSHETIN
//                $stmtLev = $pdo->exec("set names utf8");
//                $stmtLev = $pdo->query('SELECT prov.id as provid, prov.nombre as provnom, mun.id as munid, mun.nombre as munnom,LEVENSHTEIN(lower(mun.nombre), "'.strtolower($row[9]).'") AS distancia_mun FROM provincias prov join municipios mun on prov.id = mun.id_provincia where lower(prov.nombre) like "'.strtolower($row[8]).'" order by distancia_mun limit 1');
//                $cantProvMun = 0;

//                  while ($rowprovmun = $stmtLev->fetch())
//                  {
                    // ENCONTRO POR LEVENSHTEIN LA MAS CERCANA. SE AVISA EN ERROR Y SUGIERE PROXIMIDAD PALABRA.
//                    $cantProvMun = $cantProvMun +1;
                    $errorValida = true;
                    array_push($errorDetalles,'Fila '.$filaNro.' : Municipio no encontrado COL 10: "'.$row[9].'"' );
//                  }

            // else
            } 
            
        //    else {

      //        if ( strlen(trim($row[28])) < 1 ) {
    //            $row[28] = trim($row[8]); //prov
  //            }
//
      //        if ( strlen(trim($row[29])) < 1 ) {
    //            $row[29] = trim($row[9]); //prov
  //            }
//
   //         }


        }


              // -------------------------------------------------------------------------------
              // Validaciones generales:

              if (trim($row[0]) == '') {
                $errorValida = true;
                array_push($errorDetalles,'Fila '.$filaNro.' COL 1: Campo tipo documento vacio.');
               }

               $tiposDoc = array("1", "2", "3", "4", "5",'ci','le','lc','dni','pasaporte');

               if ( in_array( trim(strtolower($row[0])), $tiposDoc) ) {} else {
                 $errorValida = true;
                 array_push($errorDetalles,'Fila '.$filaNro.' COL1: Campo tipo documento no esta en la lista (1,2,3,4,5).');
               }
 
         		if (trim($row[0]) == '') {
        		 $errorValida = true;
        		 array_push($errorDetalles,'Fila '.$filaNro.' COL1: Campo tipo documento vacio.');
        		}              





        		if (trim($row[1]) == '') {
        		$errorValida = true;
        		array_push($errorDetalles, 'Fila '.$filaNro.' COL2: Campo numero documento vacio.');
        		}

      //  		if (trim($row[3]) == '') {
      //  		$errorValida = true;
      //  		array_push($errorDetalles,'Fila '.$filaNro.' COL4: Campo nombre vacio.');
      //  		}

        		if (trim($row[2]) == '') {
        		$errorValida = true;
        		array_push($errorDetalles,'Fila '.$filaNro.' COL3: Campo apellido vacio.');
        		}


      $fila = $row[0].';'.$row[1].';'.$row[2].';'.$row[3].';'.$row[4].';'.$row[5].';'.$row[6].';'.$row[7].';'.$row[8].';'.$row[9].';'.$row[10].';'.$row[11];

}






  if ($esFilaDato == 1) {

    $resultsV = [];

    // si hubo errores los agrupa
    if ( $errorValida == true ) {

      foreach ($errorDetalles as $valueV) {
      if ( strpos($valueV, 'Fila '.$filaNro) !== false ) { $resultsV[] = $valueV; }
      }

      if ( empty($resultsV) ) {}  else { $sumaErroresFila = implode(', ', $resultsV); }

      $countRechaza = $countRechaza + 1;

      array_push($fileRechazaDescargaPre,$fila.";".$sumaErroresFila."\r\n");

      array_push($fileVerificaDescargaPre,$fila.";".$sumaErroresFila."\r\n");
    }


  	//si no hubo errores:
  	if ( $errorValida == false ) {

		// aprueba
		$countAprueba = $countAprueba + 1;

    array_push($fileApruebaDescargaPre,$fila.";|idTipo".$row[0]."docNro".$row[1].";\r\n");

    array_push($fileVerificaDescargaPre,$fila.";|idTipo".$row[0]."docNro".$row[1].";\r\n"); 

    array_push($fileDuplicaDescargaPre,"idTipo".$row[0]."docNro".$row[1]);


  	}

  } //$esFilaDato



	$filaNro = $filaNro + 1;


} //fin row







fclose($fileHandle);



//////////////////////////////////////////////////////////////////////////////////

function search_array($array, $term)
{
	foreach ($array AS $key => $value) {
		if (stristr($value, $term) === FALSE) {
			continue;
		} else {
			return $key;
		}
	}
	return FALSE;
}


$separaDups = array_count_values($fileDuplicaDescargaPre);

foreach($separaDups as $key => $val) {
   if ( $val > '1' ) {
      for ($x = 1; $x <= $val; $x++) {
        if (($claveId = search_array($fileApruebaDescargaPre,$key)) !== false) {
          array_push($fileDuplicaDescargaPreOk,$fileApruebaDescargaPre[$claveId]);
          
          array_push($fileVerificaDescargaPreOk,$fileVerificaDescargaPre[$claveId]);
          unset($fileApruebaDescargaPre[$claveId]);
          
          unset($fileVerificaDescargaPre[$claveId]);
        }
      }
      $countAprueba = $countAprueba - intval($val);
      $countDuplica = $countDuplica + intval($val);
   }
}






if ( $countAprueba > 0 ) {
	file_put_contents($fileApruebaDescarga, $linea_1);
	file_put_contents($fileVerificaDescarga, $linea_1);
  foreach ($fileApruebaDescargaPre as $filaApruebaPost) {
    $filaApruebaPostC = explode("|", $filaApruebaPost);
    $filaApruebaPostCero = $filaApruebaPostC[0]."\r\n";
	file_put_contents($fileApruebaDescarga, $filaApruebaPostCero, FILE_APPEND | LOCK_EX);
  }
  foreach ($fileVerificaDescargaPre as $filaVerificaPost) {
    $filaVerificaPostC = explode("|", $filaVerificaPost);
    $filaVerificaPostCero = $filaVerificaPostC[0]."\r\n";
	file_put_contents($fileVerificaDescarga, $filaVerificaPostCero, FILE_APPEND | LOCK_EX);
  }
}

if ( $countRechaza > 0 ) {
  file_put_contents($fileRechazaDescarga, $linea_1);
//  file_put_contents($fileVerificaDescarga, $linea_1);  
  foreach ($fileRechazaDescargaPre as $filaRechazaPost) {
  file_put_contents($fileRechazaDescarga, $filaRechazaPost, FILE_APPEND | LOCK_EX);
  }
  foreach ($fileVerificaDescargaPre as $filaVerificaPost) {
  file_put_contents($fileVerificaDescarga, $filaVerificaPost, FILE_APPEND | LOCK_EX);
  }  
}



if ( $countDuplica > 0 ) {
  file_put_contents($fileDuplicaDescarga, $linea_1);
//  file_put_contents($fileVerificaDescarga, $linea_1);  
  foreach ($fileDuplicaDescargaPreOk as $filaDuplicaPost) {

    $filaDuplicaPostC = explode("|", $filaDuplicaPost);
    $filaDuplicaPostCero = $filaDuplicaPostC[0]."\r\n";
	  file_put_contents($fileDuplicaDescarga, $filaDuplicaPostCero, FILE_APPEND | LOCK_EX);

  }

  foreach ($fileVerificaDescargaPreOk as $filaVerificaPost) {

    $filaVerificaPostC = explode("|", $filaVerificaPost);
    $filaVerificaPostCero = $filaVerificaPostC[0]."\r\n";
	  file_put_contents($fileVerificaDescarga, $filaVerificaPostCero, FILE_APPEND | LOCK_EX);

  }  
}







$results = array(
  'success'=> true,
  'msg_success'=> 'Importacion proceso.',
  'msg_fileName'=> $file_name,
  'msg_countTotal'=> $countAprueba+$countRechaza+1,
  'msg_countAprobados'=> $countAprueba,
  'msg_countRechazados'=> $countRechaza,
  'msg_countDuplicados'=> $countDuplica,
  'msg_countVerificados'=> $countAprueba+$countRechaza,
  'msg_fileAprueba'=> $fileApruebaDescarga,
  'msg_fileRechaza'=> $fileRechazaDescarga,
  'msg_fileDuplica'=> $fileDuplicaDescarga,
  'msg_fileVerifica'=> $fileVerificaDescarga
);

echo json_encode($results);

?>
