<?php
$menu0_titulo= 'Seleccion';
$menu1_titulo= 'Estructura';
$menu2_titulo= 'Validacion';
$menu3_titulo= 'Importacion';
?>

<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Importador</title>
  <link href="assets/vendor/csvtohtml/css/bootstrap.min.css" rel="stylesheet">
  <link href="assets/vendor/csvtohtml/css/dataTables.bootstrap.css" rel="stylesheet">

  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
  <link href="assets/main.css" rel="stylesheet">

</head>

<body>

<div class="container">


    <div class="stepwizard">
        <div class="stepwizard-row setup-panel">
            <div class="stepwizard-step col-xs-3">
                <a href="#step-1" type="button" class="btn btn-success btn-circle">1</a>
                <p><small><?php echo $menu0_titulo; ?></small></p>
            </div>
            <div class="stepwizard-step col-xs-3">
                <a href="#step-2" type="button" class="btn btn-default btn-circle" disabled="disabled">2</a>
                <p><small><?php echo $menu1_titulo; ?></small></p>
            </div>
            <div class="stepwizard-step col-xs-3">
                <a href="#step-3" type="button" class="btn btn-default btn-circle" disabled="disabled">3</a>
                <p><small><?php echo $menu2_titulo; ?></small></p>
            </div>
            <div class="stepwizard-step col-xs-3">
                <a href="#step-4" type="button" class="btn btn-default btn-circle" disabled="disabled">4</a>
                <p><small><?php echo $menu3_titulo; ?></small></p>
            </div>
        </div>
    </div>







        <!-- SELECCION -->
        <div class="panel panel-primary setup-content" id="step-1">
            <div class="panel-heading">
                 <h3 class="panel-title"><?php echo $menu0_titulo; ?></h3>
            </div>
            <div class="panel-body">


              <ul class="nav nav-tabs">
                <li ><a data-toggle="tab" href="#menu0_normalizados">Carpeta Normalizados</a></li>
                <li><a data-toggle="tab" href="#menu0_rechazados">Carpeta Rechazados</a></li>
                <li class="active"><a data-toggle="tab" href="#menu0_fileselect">subir archivo</a></li>
              </ul>


                <div class="tab-content">



				<!-- panel archivos normalizados -->
                  <div id="menu0_normalizados" class="tab-pane fade">
                    <h3>Normalizados</h3>

                    <div class="form-group">
                        <label for="select_normalizados">Lista carpeta normalizados</label>
                        <select multiple class="form-control" id="select_normalizados" size="10">
                          <option>1</option>
                          <option>2</option>
                          <option>3</option>
                          <option>4</option>
                          <option>5</option>
                          <option>6</option>
                          <option>7</option>
                          <option>8</option>
                          <option>9</option>
                          <option>10</option>
                        </select>
                      </div>

                      <button class="btn btn-primary btn-warning" type="button" id="menu0_desestimar_normalizado">Desestimar</button>
                      <button class="btn btn-info" type="button" id="menu0_descargar_normalizado">Descargar</button>
                      <button class="btn btn-success pull-right nextBtn" type="button" id="menu0_seleccionar_normalizado">Seleccionar</button>

                  </div>


				  <!-- panel archivos rechazados -->
                  <div id="menu0_rechazados" class="tab-pane fade">
                    <h3>Rechazados</h3>

                        <div class="form-group">
                          <label for="select_rechazados">Lista carpeta rechazados</label>
                          <select multiple class="form-control" id="select_rechazados" size="10">
                            <option>1</option>
                            <option>2</option>
                            <option>3</option>
                            <option>4</option>
                            <option>5</option>
                            <option>6</option>
                            <option>7</option>
                            <option>8</option>
                            <option>9</option>
                            <option>10</option>
                          </select>
                        </div>

                        <button class="btn btn-primary btn-warning" type="button" id="menu0_desestimar_rechazado">Desestimar</button>

                        <button class="btn btn-info" type="button" id="menu0_descargar_rechazado">Descargar</button>
                        <button class="btn btn-success pull-right nextBtn" type="button" id="menu0_seleccionar_rechazado">Seleccionar</button>
                  </div>



				  <!-- importa archivo -->
                  <div id="menu0_fileselect" class="tab-pane fade in active">

                    <h3>Importar</h3>

                    <div class="form-group">
                      <label for="fileToUpload">Elija archivo para importar:</label>
                      <input type="file" name="fileToUpload" id="fileToUpload" accept=".xls,.xlsx,.csv,.ods" required>

                      <button class="btn btn-success pull-right nextBtn" type="button" name="menu0_upload" id="menu0_upload">Subir y Seleccionar</button>
                    </div>

                  </div>



                </div>







            </div>
        </div>







        <div class="panel panel-primary setup-content" id="step-2">
            <div class="panel-heading">
                 <h3 class="panel-title"><?php echo $menu1_titulo; ?></h3>
            </div>
            <div class="panel-body">


              <ul>
                <li id="archivoUpload_nombre"><i class="fa fa-spinner fa-spin" style="font-size:24px"></i></li>
  			        <li id="archivoUpload_cantRows"><i class="fa fa-spinner fa-spin" style="font-size:24px"></i></li>
                <li id="archivoUpload_cantCols"><i class="fa fa-spinner fa-spin" style="font-size:24px"></i></li>
                <li id="archivoUpload_cantHojas"><i class="fa fa-spinner fa-spin" style="font-size:24px"></i></li>
                
              </ul>



              <table class="table table-striped">
                <thead>
                  <tr>
                    <th scope="col">Dato fila 1</th>
                    <th scope="col">Dato fila 2</th>
                    <th scope="col">Dato fila 3</th>
                    <th scope="col">Col Ejemplo</th>
                  </tr>
                </thead>
                <tbody id='tabla01_estructura'>
                </tbody>
              </table>

                <button class="btn btn-primary nextBtn pull-right" type="button" id="menu1_realizaTest">Realizar test Importación</button>

            </div>
        </div>




        <div class="panel panel-primary setup-content" id="step-3">
            <div class="panel-heading">
                 <h3 class="panel-title"><?php echo $menu2_titulo; ?></h3>
            </div>
            <div class="panel-body">

            <h3>Resultados</h3>

                            <table class="table table-striped" id="tabla_test_importacion">
                              <thead>
                                <tr>
                                  <th scope="col">Estado</th>
                                  <th scope="col">Cantidad</th>
                                  <th scope="col">&nbsp;</th>
                                  <th scope="col">&nbsp;</th>
                                  <th scope="col">&nbsp;</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr>
                                  <th scope="row">Archivo registros original</th>
                                  <td id="menu2_countTotal"><i class="fa fa-spinner fa-spin" style="font-size:24px"></i></td>
                                  <td id="menu2_descargar_total"></td>
                                  <td id="menu2_previsualizar_total"></td>
                                </tr>

                                <tr>
                                  <th scope="row">Archivo registros aprobados</th>
                                  <td id="menu2_countAprobados"><i class="fa fa-spinner fa-spin" style="font-size:24px"></i></td>
                                  <td id="menu2_descargar_Aprobados"></td>
                                  <td id="menu2_previsualizar_Aprobados"></td>

 
                                  <td><button class="btn btn-primary nextBtn pull-right" type="button" id="menu2_importaAprobados">Importar aprobados</button></td>
                             
                                </tr>


                                <tr>
                                  <th scope="row">Archivo registros rechazados</th>
                                  <td id="menu2_countRechazados"><i class="fa fa-spinner fa-spin" style="font-size:24px"></i></td>
                                  <td id="menu2_descargar_Rechazados"></td>
                                  <td id="menu2_previsualizar_Rechazados"></td>
                                </tr>


                                <tr>
                                  <th scope="row">Archivo registros duplicados mismo archivo</th>
                                  <td id="menu2_countDuplicados"><i class="fa fa-spinner fa-spin" style="font-size:24px"></i></td>
                                  <td id="menu2_descargar_Duplicados"></td>
                                  <td id="menu2_previsualizar_Duplicados"></td>
                                </tr>

                              </tbody>
                            </table>

                            <br>
                            <hr>

                            <h4 id='tituloPreviewMuestra'></h4>

                          <div id='tablaPreviewMuestra'></div>

            </div>
        </div>



        <div class="panel panel-primary setup-content" id="step-4">
            <div class="panel-heading">
                 <h3 class="panel-title"><?php echo $menu3_titulo; ?></h3>
            </div>
            <div class="panel-body">


 //
                <ul>
                  <li>Se importaron $varCantidadAprobados en el archivo $varNombreArchivoFinalParaImportar.</li>

                  <li>Hay $varCantidadArchivosPendientes archivos pendientes para importar.</li>
                </ul>
                <a href="">Ingresar al sistema</a>



   //
                 <button class="btn btn-success pull-right" onclick="location.href='index.php'" type="button">Volver al inicio</button>


            </div>
        </div>



</div> <!-- container -->


<script src="assets/vendor/csvtohtml/js/jquery.min.js"></script>
<script src="assets/vendor/csvtohtml/js/bootstrap.min.js"></script>
<script src="assets/vendor/csvtohtml/js/jquery.csv.min.js"></script>
<script src="assets/vendor/csvtohtml/js/jquery.dataTables.min.js"></script>
<script src="assets/vendor/csvtohtml/js/dataTables.bootstrap.js"></script>
<script src="assets/vendor/csvtohtml/js/csv_to_html_table.js"></script>

<script src="assets/main.js"></script>

</body>

</html>
